## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

Name:          dfuzzer
Version:       2.3
Release:       %autorelease
Summary:       D-Bus fuzz testing tool

#global commit 15fcfa6b5f8109e07f06c7ada0b8690a36f91654
%{?commit:%global shortcommit %(c=%{commit}; echo ${c:0:7})}

License:       GPLv3+
URL:           https://github.com/dbus-fuzzer/dfuzzer

%if %{defined commit}
Source0:       https://github.com/dbus-fuzzer/dfuzzer/archive/%{commit}/%{name}-%{shortcommit}.tar.gz
%else
Source0:       https://github.com/dbus-fuzzer/dfuzzer/archive/v%{version}/%{name}-%{version}.tar.gz
%endif
BuildRequires: docbook-style-xsl
BuildRequires: gcc
BuildRequires: glib2-devel
BuildRequires: libxslt
BuildRequires: meson

%description
Tool for fuzz testing processes communicating through D-Bus. It can be
used to test processes connected to both, the session bus and the system
bus daemon. Dfuzzer works as a client, it first connects to the bus
daemon and then it traverses and fuzz tests all the methods provided
by a D-Bus service.

%prep
%autosetup -p1 -n %{name}-%{!?commit:%{version}}%{?commit:%{commit}}

%build
%meson
%meson_build

%check
%meson_test

%install
%meson_install

%files
%{_bindir}/%{name}
%config(noreplace) %{_sysconfdir}/dfuzzer.conf
%{_mandir}/man1/dfuzzer.1*
%doc README.md ChangeLog COPYING

%changelog
## START: Generated by rpmautospec
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Mon Jan 29 2024 Frantisek Sumsal <frantisek@sumsal.cz> - 2.3-1
- Bump to v2.3

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jan 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Tue Aug 16 2022 Frantisek Sumsal <fsumsal@redhat.com> - 2.2-4
- Put %%autochangelog into the correct section

* Thu Jul 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Wed Jul 13 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 2.2-1
- Bump dfuzzer to v2.2
- Use a version tag in the source URL instead of a commit by default
- Run the newly introduced unit tests

* Mon Jun 27 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 2.1-1
- Bump dfuzzer to v2.1

* Sat May 21 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 2.0-2
- Use dfuzzer.conf explicitly in the files section instead of a wildcard
- Update the repo path

* Mon May 16 2022 Frantisek Sumsal <frantisek@sumsal.cz> - 2.0-1
- Bump dfuzzer to v2.0

* Thu Jan 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-16
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sat Jan 08 2022 Miro Hrončok <mhroncok@redhat.com> - 1.4-15
- Rebuilt for https://fedoraproject.org/wiki/Changes/LIBFFI34

* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-14
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.4-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Thu Mar 19 2015 Matus Marhefka <mmarhefk@redhat.com> 1.4-1
- Initial version of the package

## END: Generated by rpmautospec
